import { BaseApi } from "./Base";
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs/Observable";
import { GetNoteDto, PreNoteDto, PagedData } from "../model/blog";
export * from "../model/blog";
export declare class BlogApiService extends BaseApi {
    protected http: HttpClient;
    constructor(http: HttpClient);
    GetNoteList(params: GetNoteDto): Observable<PagedData<PreNoteDto>>;
    GetNote(id: number): Observable<PreNoteDto>;
    Like(id: number): void;
    UnLike(id: number): void;
}
