"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var Base_1 = require("./Base");
var core_1 = require("@angular/core");
var http_1 = require("@angular/common/http");
var config_1 = require("../model/config");
__export(require("../model/blog"));
var blogApiUrl = {
    getNoteList: config_1.config.host + "/api/services/app/NoteServer/GetPreNoteList",
    getNote: config_1.config.host + "/api/services/app/NoteServer/GetNote",
    like: config_1.config.host + "/api/services/app/NoteServer/Like",
    unLike: config_1.config.host + "/api/services/app/NoteServer/UnLike"
};
var BlogApiService = /** @class */ (function (_super) {
    __extends(BlogApiService, _super);
    function BlogApiService(http) {
        var _this = _super.call(this, http) || this;
        _this.http = http;
        return _this;
    }
    BlogApiService.prototype.GetNoteList = function (params) {
        var url = blogApiUrl.getNoteList;
        return this.abpGet(url, params);
    };
    BlogApiService.prototype.GetNote = function (id) {
        var url = blogApiUrl.getNote + "?Id=" + id;
        return this.abpGet(url);
    };
    BlogApiService.prototype.Like = function (id) {
        var url = blogApiUrl.like;
        this.abpPost(url, { id: id }).subscribe();
    };
    BlogApiService.prototype.UnLike = function (id) {
        var url = blogApiUrl.unLike;
        this.abpPost(url, { id: id }).subscribe();
    };
    BlogApiService = __decorate([
        core_1.Injectable(),
        __metadata("design:paramtypes", [http_1.HttpClient])
    ], BlogApiService);
    return BlogApiService;
}(Base_1.BaseApi));
exports.BlogApiService = BlogApiService;
